
Name:		phasex
Version:	0.10.1
Release:	%mkrel 1
Summary:	PHASEX -- Phase Harmonic Advanced Synthesis EXperiment
Group: 		Sound
License:	GPL
URL:		http://sysex.net/phasex/
Source0:	%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libalsa-devel
BuildRequires:  libjack-devel
BuildRequires:	gtk2-devel >= 2.6.0
Requires:	libalsa
Requires:	libjack0
Requires:	gtk2 >= 2.6.0


%description
PHASEX is an experimental JACK audio / ALSA MIDI softsynth for Linux
with a synth engine built around flexible phase modulation and
flexible oscillator/LFO sourcing.  Modulations include AM, FM, offset
PM, and wave select.  PHASEX comes equipped with a 12db/octave filter
with two distortion curves, a stereo crossover delay and chorus with
phaser, ADSR envelopes for amplifier and filter, realtime audio input
processing capabilities, and more.


%prep
%setup -q


%build
echo _arch=%{_arch} _target_cpu=%{_target_cpu} _build_arch=%{_build_arch}
CFLAGS="$RPM_OPT_FLAGS" %configure --enable-arch=%{_target_cpu}
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

for s in 16 22 32 48 ; do
    %{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps
    %{__cp} %{buildroot}%{_datadir}/phasex/pixmaps/phasex-icon-${s}x${s}.png \
            %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/phasex-icon.png
done

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Phasex
Comment=Phase Harmonic Advanced Synthesis Experiment
Exec=%{name}
Icon=%{name}-icon
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Sound;AudioVideoEditing;
EOF

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/phasex
%dir %{_datadir}/phasex
%dir %{_datadir}/phasex/help
%dir %{_datadir}/phasex/pixmaps
%dir %{_datadir}/phasex/sys-midimaps
%dir %{_datadir}/phasex/sys-patches
%{_datadir}/phasex/patchbank
%{_datadir}/phasex/help/*
%{_datadir}/phasex/pixmaps/*
%{_datadir}/phasex/sys-midimaps/*
%{_datadir}/phasex/sys-patches/*
%{_datadir}/applications/phasex.desktop
%{_datadir}/icons/hicolor/*/apps/phasex-icon.png



%changelog
* Thu May 03 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.10.1-1
- 0.10.1

* Thu May 03 2007 Torbjorn Turpeinen <tobbe@nyvalls.se> 0.10.0-1
- Rebuilt for pclos2007

* Tue May  1 2007 William Weston <weston@sysex.net> - 10.0.0
- Initial RPM spec file.
